> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Result



## OpenAPI

````yaml /api-reference/openapi.json get /api/scans/{scan_id}/results/{result_id}
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/scans/{scan_id}/results/{result_id}:
    get:
      tags:
        - api
      summary: Get Result
      operationId: get_result_api_scans__scan_id__results__result_id__get
      parameters:
        - name: scan_id
          in: path
          required: true
          schema:
            type: string
            title: Scan Id
        - name: result_id
          in: path
          required: true
          schema:
            type: string
            title: Result Id
        - name: view
          in: query
          required: false
          schema:
            enum:
              - auto
              - slices
              - volume
            type: string
            default: auto
            title: View
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResultRead'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ResultRead:
      properties:
        id:
          type: string
          title: Id
        scan_id:
          type: string
          title: Scan Id
        scan_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Scan Type
        filepath:
          type: string
          title: Filepath
        vulnerability_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Vulnerability Type
        severity:
          anyOf:
            - type: string
            - type: 'null'
          title: Severity
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        given_label:
          anyOf:
            - type: string
            - type: 'null'
          title: Given Label
        predicted_label:
          anyOf:
            - type: string
            - type: 'null'
          title: Predicted Label
        score:
          anyOf:
            - type: number
            - type: 'null'
          title: Score
        flags:
          anyOf:
            - type: object
            - type: 'null'
          title: Flags
        extra:
          anyOf:
            - type: object
            - type: 'null'
          title: Extra
        dataset_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Dataset Id
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
        mislabel_performed:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Mislabel Performed
        poison_performed:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Poison Performed
        volume:
          anyOf:
            - $ref: '#/components/schemas/VolumeInfo'
            - type: 'null'
      type: object
      required:
        - id
        - scan_id
        - filepath
        - given_label
        - predicted_label
        - flags
        - extra
      title: ResultRead
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    VolumeInfo:
      properties:
        case_id:
          type: string
          title: Case Id
        primary_result_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Primary Result Id
        result_ids:
          items:
            type: string
          type: array
          title: Result Ids
        flagged_count:
          type: integer
          title: Flagged Count
        slice_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Slice Count
        flagged_slices:
          items:
            $ref: '#/components/schemas/VolumeSlice'
          type: array
          title: Flagged Slices
        image_path:
          anyOf:
            - type: string
            - type: 'null'
          title: Image Path
        mask_path:
          anyOf:
            - type: string
            - type: 'null'
          title: Mask Path
        image_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Image Url
        mask_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Mask Url
        organ_segments:
          anyOf:
            - items:
                $ref: '#/components/schemas/VolumeSegment'
              type: array
            - type: 'null'
          title: Organ Segments
        highlight_segments:
          anyOf:
            - items:
                $ref: '#/components/schemas/VolumeSegment'
              type: array
            - type: 'null'
          title: Highlight Segments
        case_bounds:
          anyOf:
            - type: object
            - type: 'null'
          title: Case Bounds
        label_value_map:
          anyOf:
            - type: object
            - type: 'null'
          title: Label Value Map
        metadata:
          anyOf:
            - type: object
            - type: 'null'
          title: Metadata
      type: object
      required:
        - case_id
        - flagged_count
        - flagged_slices
      title: VolumeInfo
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    VolumeSlice:
      properties:
        result_id:
          type: string
          title: Result Id
        filepath:
          anyOf:
            - type: string
            - type: 'null'
          title: Filepath
        slice_index:
          anyOf:
            - type: integer
            - type: 'null'
          title: Slice Index
        score:
          anyOf:
            - type: number
            - type: 'null'
          title: Score
        given_label:
          anyOf:
            - type: string
            - type: 'null'
          title: Given Label
        predicted_label:
          anyOf:
            - type: string
            - type: 'null'
          title: Predicted Label
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
      type: object
      required:
        - result_id
      title: VolumeSlice
    VolumeSegment:
      properties:
        label:
          type: string
          title: Label
        start:
          anyOf:
            - type: integer
            - type: 'null'
          title: Start
        end:
          anyOf:
            - type: integer
            - type: 'null'
          title: End
        color:
          anyOf:
            - type: string
            - type: 'null'
          title: Color
        label_value:
          anyOf:
            - type: integer
            - type: 'null'
          title: Label Value
      type: object
      required:
        - label
      title: VolumeSegment
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````